CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
booster::mutex Class Reference

Mutex object. More...

`#include <booster/booster/thread.h>`

Inheritance diagram for booster::mutex:

## Public Member Functions
void | lock ()
void | unlock ()

## Friends
class | condition_variable

## Detailed Description

Mutex object.

## Member Function Documentation

void booster::mutex::lock | ( |  | ) |

Lock the mutex. If the same thread tries to lock the mutex it holds, the behavior is undefined and would likely lead to deadlock

See also
  unique_lock

void booster::mutex::unlock | ( |  | ) |

Unlock the mutex. If called for unlocked mutex, the behavior is undefined

See also
  unique_lock

The documentation for this class was generated from the following file:

- booster/thread.h